#!/bin/sh
#
# Change this to your JDK installation root
#
#JAVA_HOME=/usr/local/jdk
#export JAVA_HOME

if [ "D""$JAVA_HOME" = "D" ]
then
    echo please configure  file "$0"
    exit
fi

if [ "D""$TGH" = "D" ]
then 
    TGH=../..
fi


if [ ! -r $TGH/help/together-help.jar ]
then
    echo "You didn't install Together help."
    echo "The file $TGH/help/together-help.jar is not found."
    exit
fi

#
# Change that, if your java interpreter is different
#

JAVA=$JAVA_HOME/bin/java

#
# This command actually runs Together/OM
#

$JAVA -ms32m -mx512m \
-classpath $TGH/lib/gifs.zip:\
$TGH/classes:\
$TGH/lib/i18n:\
$TGH/lib/together.jar:\
$TGH/lib/openapi.jar:\
$TGH/lib/jgl.zip:\
$TGH/lib/jacl.jar:\
$TGH/lib/xml4j.jar:\
$TGH/lib/jcvs/application/jcvs.jar:\
$TGH/lib/tcljava.jar:\
$TGH/lib/misclib.zip:\
$TGH/lib/javax.jar:\
$TGH/lib/jcpagelayout401K.jar:\
$TGH/lib/jndi.jar:\
$TGH/lib/jhall.jar:\
$TGH/help/together-help.jar:\
$JAVA_HOME/lib/jpda.jar:../lib/jpda.jar:$JAVA_HOME/jre/lib/rt.jar  com.togethersoft.impl.help.HelpLoader "/together-help.hs"

